> ## Documentation Index
> Fetch the complete documentation index at: https://nitro-script-docs.nitrorx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook URL

> Returns the webhook URL for the entity

Webhook URL is the URL that will be called when a script is processed and the results are ready to be sent to your system.

### When do we send script results back to your system?

Script results will be sent to your system when both of these conditions are met:

1. The `reference_id` has a value other than `0`.
2. A valid `webhook_url` has been provided.


## OpenAPI

````yaml GET /entity/webhook
openapi: 3.1.0
info:
  title: Nitro Script API Documentation
  description: >-
    This is the API documentation for the Nitro Script API Service, which
    provides endpoints for processing and managing medical prescriptions. All
    endpoints require authentication using an API key.
  version: 1.0.0
servers:
  - description: Production Environment
    url: https://nitro-script-api.nitrorx.ai
  - description: Development Environment
    url: https://dev-nitro-script-api.nitrorx.ai
security:
  - bearerAuth: []
tags:
  - name: script
    description: Everything about Nitro Script
  - name: health
    description: Everything about Nitro Script Health
  - name: entity
    description: Everything about Entity
paths:
  /entity/webhook:
    get:
      tags:
        - entity
      summary: Get webhook URL
      description: Returns the webhook URL for the entity
      operationId: getEntityWebhook
      responses:
        '200':
          description: Webhook URL details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEntityWebhookResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalError'
components:
  schemas:
    GetEntityWebhookResponse:
      type: object
      properties:
        message:
          type: string
          example: Webhook URL
          description: Message will be a description of the response
        data:
          type: object
          properties:
            webhook_url:
              type: string
              enum:
                - 'null'
                - WEBHOOK_URL
              example: https://example.com/webhook
              description: Webhook URL for the entity.
    BadRequest:
      type: object
      properties:
        message:
          type: string
          example: A bad request error
          description: message will be a description of the error
        data:
          type: object
          nullable: true
          example: null
          description: data will be null
    Unauthorized:
      type: object
      properties:
        message:
          type: string
          example: Unauthorized
          description: Message will be a description of the error
        data:
          type: object
          nullable: true
          example: null
          description: Data will be null
    InternalError:
      type: object
      properties:
        message:
          type: string
          example: An internal server error occurred
          description: message will be a description of the error
        data:
          type: object
          nullable: true
          example: null
          description: data will be null
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: API Key for authentication

````